# Retrieve a metafield owner type

> Retrieve a single metafield owner type.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/metafield_owner_types/{id}`

Retrieves a MetafieldOwnerType resource.

Returns a single metafield owner type by id, including its `allowedConstraints`.

## Path parameters

| Name | Type     | Required | Description                   |
| ---- | -------- | -------- | ----------------------------- |
| `id` | `string` | Yes      | MetafieldOwnerType identifier |

## Response

**200** - MetafieldOwnerType resource

| Property             | Type       | Required | Description                                                                                                                                               |
| -------------------- | ---------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `object`   | -        |                                                                                                                                                           |
| `@id`                | `string`   | Yes      |                                                                                                                                                           |
| `@type`              | `string`   | Yes      |                                                                                                                                                           |
| `id`                 | `string`   | -        | The metafield owner type identifier (e.g. `products`).                                                                                                    |
| `description`        | `string`   | -        | A human-readable description of the metafield owner type.                                                                                                 |
| `allowedConstraints` | `string[]` | -        | The constraint types that can be applied to a metafield definition whose ownerType is this owner type. Owner types that allow none return an empty array. |

## Errors

**404** - Not found

| Property      | Type              | Required | Description                                                                                                                          |
| ------------- | ----------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`    | `object`          | -        |                                                                                                                                      |
| `@id`         | `string`          | Yes      |                                                                                                                                      |
| `@type`       | `string`          | Yes      |                                                                                                                                      |
| `title`       | `string \| null`  | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`      | `string \| null`  | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`      | `integer \| null` | -        |                                                                                                                                      |
| `instance`    | `string \| null`  | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`        | `string`          | -        | A URI reference that identifies the problem type                                                                                     |
| `description` | `string \| null`  | -        |                                                                                                                                      |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/metafield_owner_types/<product_id>' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/MetafieldOwnerType",
  "@id": "/api/metafield_owner_types/products",
  "@type": "https://schema.org/Enumeration",
  "id": "products",
  "description": "The Product metafield owner type.",
  "allowedConstraints": [
    "/api/metafield_definition_constraint_types/category",
    "/api/metafield_definition_constraint_types/channel",
    "/api/metafield_definition_constraint_types/category_channel"
  ]
}
```
